function change_map_content(elem,keyname) {
	var getjson_labels = {"ecommerce+products":"products"};
	elem.addEventListener("load", function() {
		var xhr = new XMLHttpRequest();
		xhr.open("GET","getjson.php?context=map&data=" + (typeof(getjson_labels[keyname])=="undefined" ? keyname : getjson_labels[keyname]));
		xhr.responseType = "json";
		xhr.addEventListener("load",function() {
			elem.contentWindow.users = this.response;
			elem.contentWindow.sum = this.response["sum"];
			elem.contentWindow.label = (typeof(elem.contentWindow.labelname["advanced"][keyname])=="undefined" ? elem.contentWindow.labelname[keyname] : elem.contentWindow.labelname["advanced"][keyname]);
			elem.parentNode.getElementsByTagName("select")[0].selectedIndex = search_option(elem.parentNode.getElementsByTagName("select")[0],"value",getjson_labels[keyname]);
			elem.contentWindow.draw();
		});
		xhr.send();
	});
}